<?php
session_start();

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();

include "verifica.php";
include("../conexion.php");
include "correlativos.php";


@$xactivar_documentado = $_REQUEST['xactivar_documentado'];
@$xreqint_codi = $_REQUEST['xreqint_codi'];
@$xreqint_codi_fk = $_REQUEST['xreqint_codi_fk'];

@$xopealm_origen = $_REQUEST['xopealm_origen'];
@$xsucursal_destino=$_REQUEST['xsucursal_destino'];

@$xsaldo_a_favor=$_REQUEST['xsaldo_a_favor'];

@$xid_recuperado=$_REQUEST['xid_recuperado'];
@$xpedido_recuperado=$_REQUEST['xpedido_recuperado'];
@$xordpedcom_numero=$_REQUEST['xordpedcom_numero'];
				
@$xop2=trim($_REQUEST['xop2']);
@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xopealmdet_codi=$_REQUEST['xopealmdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xopealmdet_precio=$_REQUEST['xopealmdet_precio'];
@$xopealmdet_cantidad=$_REQUEST['xopealmdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xnro_documento=$_REQUEST['xnro_documento'];
@$xdocumento=$_REQUEST['xdocumento'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha'];
@$xfecha_documento=$_REQUEST['xfecha_documento'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xidtrans=$_REQUEST['xidtrans'];
@$xidtrans_temporal=$_REQUEST['xidtrans_temporal'];

@$xmp_codi=$_REQUEST['xmp_codi'];

			?>
			<script language="javascript">			
			//alert("xidtrans_temporal:: <?php echo $xidtrans_temporal; ?>");
			</script>			
			<?php


$adet = new Almacendetalle;

switch($xaccion){
	
	case "adicionar": 	
		if($_SESSION['s_tipo_usuario']!=3){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para adicionar nuevos items.");			
			</script>			
			<?php
		}else{	
			if($adet->adicionar($conexion)==1){
				//echo "adicionar";
				?>			
				<script language="javascript">
				parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
				//alert("sisisi");     
				</script>			
				<?php
				
			}
		}			
		break;
		
	case "modificar": 
		
		if($_SESSION['s_tipo_usuario']!=3){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para realizar modificaciones.");			
			</script>			
			<?php
		}else{
			if($adet->modificar($conexion)==1){
				//echo "modificar";						
				?>
				<script language="javascript">
				alert("Los cambios han sido guardados satisfactoriamente.");			
				//xop=parent.parent.document.getElementById('xop').value;
				//parent.parent.location.href="../almacen.php?xop="+xop;
				parent.parent.document.form_buscar.submit();
			
				</script>			
				<?php
			}
		}				
				
		break;
	
	case "eliminar":
		if($adet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";				
			</script>			
			<?php
			
		}		
		break;


	case "guardar_masterpack":
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
		</script>			
		<?php	

		if($adet->guardar_masterpack($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
			
			if(parent.parent.document.getElementById('xaccion').value == "modificar"){
				//alert("DEBE SUCEDER");
				//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;
				
				if(parent.parent.document.getElementById('xtipo_usuario').value == "3"){
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
				}else{
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;			
				}
								
			}else{
				parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;		
			}						
			
			</script>			
			<?php
			
		}		
		break;		

		
	case "guardar_unidad":
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;
		parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
		</script>			
		<?php	

		if($adet->guardar_unidad($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
			
			if(parent.parent.document.getElementById('xaccion').value == "modificar"){
				//alert("DEBE SUCEDER");
				//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;
				
				if(parent.parent.document.getElementById('xtipo_usuario').value == "3"){
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
				}else{
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;			
				}
								
			}else{
				parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;		
			}						
			
			</script>			
			<?php
			
		}		
		break;		

	case "guardar_cantidad":
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";				
		parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;						
		//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;						
		
		</script>			
		<?php	

		if($adet->guardar_cantidad($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			//parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;			
			
			if(parent.parent.document.getElementById('xaccion').value == "modificar"){
				//alert("DEBE SUCEDER");
				if(parent.parent.document.getElementById('xtipo_usuario').value == "3"){				
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
				}else{
					parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;				
				}
			}else{
				parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;		
			}
			
			
			</script>			
			<?php
						
		}		
		break;		
		

	case "guardar_precio":
		?>			
		<script language="javascript">
		parent.parent.document.getElementById('d_img_espera').style.display = "block";
		parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = true;
		</script>			
		<?php	
		
		if($adet->guardar_precio($conexion)==1){
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('d_img_espera').style.display = "none";
			parent.parent.document.getElementById('bt_enviar_formulario_almacen').disabled = false;
			</script>			
			<?php
			
		}		
		break;		
		
	case "guardar_nuevo_almacen":
	
	//@$xreqint_codi_fk = $_REQUEST['xreqint_codi_fk'];
	//@$xopealm_origen = $_REQUEST['xopealm_origen'];

		if($_SESSION['s_tipo_usuario']==3 or trim($xreqint_codi_fk)!='' or trim($xopealm_origen)!=''){
			if($adet->guardar_nuevo_almacen($conexion)==1){
				//echo "guardar_unidad";
				?>			
				<script language="javascript">
				//parent.parent.document.getElementById('xidtrans').value = "";	
				alert("Operacion de almacen guardada satisfactoriamente.")	
				//xop=parent.parent.document.getElementById('xop').value;
				//parent.parent.location.href="../almacen.php?xop="+xop;
				parent.parent.document.form_buscar.submit();
				//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
				</script>			
				<?php
				
			}
		}else{
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para crear operaciones de almacen independientes.");			
			</script>			
			<?php						
		}			
		break;						

	case "adicionar_temporal_modificar": 
		if($adet->adicionar_temporal_modificar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($adet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($_SESSION['s_tipo_usuario']!=3){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para anular operaciones.");			
			</script>			
			<?php
		}else{			
			if($adet->activar($conexion)==1){
				?>			
				<script language="javascript">
				//alert("aaa");
				</script>			
				<?php
				
			}
		}			
		break;

	case "activar_verificar":
		if($_SESSION['s_tipo_usuario']!=3){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: El usuario actual no se encuentra autorizado para anular operaciones.");			
			</script>			
			<?php
		}else{
			if($adet->activar_verificar($conexion)==1){
				?>			
				<script language="javascript">
				//alert("aaa");
				</script>			
				<?php
				
			}		
		}
		break;


	case "adicionar_temporal_recuperar": 
		if($adet->adicionar_temporal_recuperar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xbloquear_unidad=1";
			parent.parent.busca_orden_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;
		
		
	case "adicionar_temporal_recuperar_traslado": 
		if($adet->adicionar_temporal_recuperar_traslado($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xbloquear_unidad=1";
			parent.parent.busca_orden_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;
		
	case "adicionar_temporal_recuperar_requerimiento_interno": 
		if($adet->adicionar_temporal_recuperar_requerimiento_interno($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>&xidtrans_temporal=<?php echo $xidtrans_temporal;?>&xbloquear_unidad=1";
			parent.parent.busca_orden_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;		


}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Almacendetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion){
		global $xid, $xprd_codi, $xidtrans, $xidtrans_temporal;
		
			?>
			<script language="javascript">
			
			//alert("sisisi: <?php echo $xid; ?> - <?php echo $xprd_codi; ?> - <?php echo $xidtrans; ?> ");     
			</script>			
			<?php
			
		$xfechahora = date('Y-m-d H:i:s');
		
		$r_unidad = mysqli_query($conexion,"SELECT prd_unidad_minima, mp_codi_fk FROM productos p WHERE prd_codi = $xprd_codi;");
		while($row_unidad = mysqli_fetch_array($r_unidad)){
			$xprd_unidad_minima = $row_unidad['prd_unidad_minima'];
			$xmp_codi_fk_alm = $row_unidad['mp_codi_fk'];
		}
		
												
		$r_busca_producto = mysqli_query($conexion,"SELECT prd_codi_fk FROM temporal_operacion_almacen_detalle 
																					WHERE prd_codi_fk=$xprd_codi
																					AND idtrans_temporal='$xidtrans_temporal';");
		if(mysqli_num_rows($r_busca_producto) > 0){
			?>
			<script language="javascript">
			alert("ADVERTENCIA: EL PRODUCTO FUE AGREGADO NUEVAMENTE.");
			</script>
			<?php
		}
												
		
		$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																					prd_codi_fk, 
																					idtrans,
																					idtrans_temporal,
																					unimed_codi_fk,
																					mp_codi_fk_alm) 
																		VALUES('$xfechahora',
																					$xprd_codi,
																					$xidtrans,
																					'$xidtrans_temporal',
																					'$xprd_unidad_minima',
																					'$xmp_codi_fk_alm');");
				
		if($r){		
			return 1;
			
		}	
				
	}	


	//Guarda Modificaciones de operaci�n de almac�n
	function modificar($conexion){

		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xdocumento, $xnro_documento, $xusuario_sesion, $xidtrans_temporal, $xsucursal_destino, $xopealm_origen, $xfecha_documento, $xactivar_documentado;	
		
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);							
																						
		$r2=mysqli_query($conexion,"UPDATE operacion_almacen set opealm_fecha='$xfecha',
														opealm_fecha_documento='$xfecha_documento',
														per_codi_fk='$xproveedor',
														doctip_codi_fk='$xdocumento',
														opetip_codi_fk='$xpagotipo',
														opealm_anotaciones='$xanotaciones',
														doc_numero='$xnro_documento',
														opealm_usu_modifica='$xusuario_sesion',
														emp_codi_destino='$xsucursal_destino',
														opealm_codi_origen='$xopealm_origen',
														opealm_documentado='$xactivar_documentado'
												WHERE opealm_codi=$xid;");
		
		if($r2){	

			$xopealm_codi=$xid;;

			//ELIMINACI�N DE LOS DETALLES DE OPERACION ELIMINADOS
			//$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM operacion_almacen_detalle o LEFT JOIN temporal_operacion_almacen_detalle t ON t.opealmdet_codi_fk = o.opealmdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans_temporal='$xidtrans_temporal' AND t.idtrans IS NULL order by o.opealmdet_codi;");
			
			$r_antiguos = mysqli_query($conexion,"SELECT * from operacion_almacen_detalle o 
													WHERE o.idtrans='$xidtrans' 
													order by o.opealmdet_codi;");									
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xopealmdet_codi=$row_antiguos['opealmdet_codi'];
				
				$r_antiguos_verifica = mysqli_query($conexion,"SELECT * from temporal_operacion_almacen_detalle t 
															WHERE t.opealmdet_codi_fk=$xopealmdet_codi 
															AND t.idtrans='$xidtrans' 
															AND t.idtrans_temporal='$xidtrans_temporal' 
															group by t.opealmdet_codi_fk order 
															by t.opealmdet_codi;");
				if(mysqli_num_rows($r_antiguos_verifica)==0){
								
					$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM operacion_almacen_detalle WHERE opealmdet_codi=$xopealmdet_codi;");
				}	
			}
			
			//ACTUALIZACION DE LOS DETALLES DE OPERACION MODIFICADOS
			$r_actualizados = mysqli_query($conexion,"SELECT o.opealmdet_codi as t_opealmdet_codi, t.* 
														FROM operacion_almacen_detalle o 
														LEFT JOIN temporal_operacion_almacen_detalle t ON t.opealmdet_codi_fk = o.opealmdet_codi 
														WHERE o.idtrans='$xidtrans' 
														AND t.idtrans_temporal='$xidtrans_temporal' 
														AND t.idtrans IS NOT NULL 
														order by o.opealmdet_codi;");						
			
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
						
				$xopealmdet_codi=$row_actualizados['t_opealmdet_codi'];
				$xprd_codi_fk=$row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk=$row_actualizados['unimed_codi_fk'];				
				$xopealmdet_cantidad=$row_actualizados['opealmdet_cantidad'];					
				$xmp_codi_fk_alm = $row_actualizados['mp_codi_fk_alm'];
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE operacion_almacen_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									opealmdet_cantidad = $xopealmdet_cantidad,
																									mp_codi_fk_alm = $xmp_codi_fk_alm																					
																									WHERE opealmdet_codi=$xopealmdet_codi;");					
			}
								
			$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_operacion_almacen_detalle t 
										LEFT JOIN operacion_almacen_detalle o ON t.opealmdet_codi_fk = o.opealmdet_codi 
										WHERE t.idtrans='$xidtrans' 
										AND t.idtrans_temporal='$xidtrans_temporal' 
										AND o.idtrans IS NULL;");				
			
			while($row1=mysqli_fetch_array($r1)){									
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xopealmdet_cantidad=$row1['opealmdet_cantidad'];	
				$xmp_codi_fk_alm = $row1['mp_codi_fk_alm'];
				
				$xfechahora = date('Y-m-d H:i:s');				
				$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,																				
																				opealmdet_cantidad,
																				opealm_codi_fk,
																				idtrans,
																				mp_codi_fk_alm) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,																				
																				$xopealmdet_cantidad,
																				$xopealm_codi,
																				'$xidtrans',
																				'$xmp_codi_fk_alm');");								
			}	
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
															WHERE idtrans='$xidtrans'  
															AND idtrans_temporal='$xidtrans_temporal'; ");		
			if($r_limpiando_temporal){		
				return 1;
			}
		}		
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_operacion_almacen_detalle where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi,$xunimed_codi;
		
			?>
			<script language="javascript">
			
			//alert("zzz: <?php echo $xid; ?> - <?php echo $xprc_codi; ?> - <?php echo $xopealmdet_codi; ?> - <?php echo $xunimed_codi; ?> ");     
			</script>			
			<?php
		

		$r = mysqli_query($conexion,"update temporal_operacion_almacen_detalle set unimed_codi_fk='$xunimed_codi' 
																		where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi,$xopealmdet_cantidad;
		
			?>
			<script language="javascript">
			
			//alert("zzz: <?php echo $xid; ?> - <?php echo $xprc_codi; ?> - <?php echo $xopealmdet_codi; ?> - <?php echo $xopealmdet_cantidad; ?> ");     
			</script>			
			<?php						

		$r = mysqli_query($conexion,"update temporal_operacion_almacen_detalle set opealmdet_cantidad='$xopealmdet_cantidad' 
																		where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		

	//Guarda precio
	function guardar_precio($conexion){
		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio;		

		$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set ordpeddet_precio='$xordpeddet_precio' 
																		where ordpeddet_codi = $xordpeddet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda masterpack
	function guardar_masterpack($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi,$xmp_codi;
		
			?>
			<script language="javascript">
			
			//alert("zzz: <?php echo $xid; ?> - <?php echo $xprc_codi; ?> - <?php echo $xopealmdet_codi; ?> - <?php echo $xunimed_codi; ?> ");     
			</script>			
			<?php
		
		$r = mysqli_query($conexion,"update temporal_operacion_almacen_detalle set mp_codi_fk_alm='$xmp_codi' 
																		where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda nuevo almacen
	function guardar_nuevo_almacen($conexion){
	
		global $xid,$xprc_codi,$xopealmdet_codi,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xnro_documento,$xdocumento, $xusuario_sesion, $cor, $xpedido_recuperado,$xop2, $xordpedcom_numero, $xidtrans_temporal, $xsucursal_destino, $xopealm_origen, $xfecha_documento, $xreqint_codi_fk, $xreqint_codi, $xactivar_documentado;
		
		$xs_empresa = $_SESSION['s_empresa'];
		
		$correlativo = $cor->almacen($conexion);
		
		$xfechahora = date('Y-m-d H:i:s');	
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);							
		
		$r2=mysqli_query($conexion,"INSERT INTO operacion_almacen (opealm_fechahora,
																		opealm_fecha,
																		opealm_fecha_documento,
																		opealm_numero,																		
																		per_codi_fk,
																		doctip_codi_fk,
																		opetip_codi_fk,
																		idtrans,
																		opealm_anotaciones,
																		doc_numero,
																		opealm_usu_crea,
																		ordpedcom_numero,
																		emp_codi_fk,
																		emp_codi_destino,
																		opealm_codi_origen,
																		reqint_codi_fk,
																		opealm_documentado) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$xfecha_documento',
																		'$correlativo',
																		$xproveedor,
																		$xdocumento,
																		$xpagotipo,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xnro_documento',
																		'$xusuario_sesion',
																		'$xordpedcom_numero',
																		'$xs_empresa',
																		'$xsucursal_destino',
																		'$xopealm_origen',
																		'$xreqint_codi_fk',
																		'$xactivar_documentado');");				
		
		if($r2){		
				
			$r_trans = mysqli_query($conexion, "SELECT opealm_codi FROM operacion_almacen o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xopealm_codi=$row_trans['opealm_codi'];
			}

			
			if(trim($xpedido_recuperado)!=""){		
			
				if($xop2=="SALIDA"){		
				
					$r33=mysqli_query($conexion,"INSERT INTO orden_pedido_almacen (ordpedalm_fechahora,
																					ordped_codi_fk,
																					opealm_codi_fk) 
																			VALUES('$xfechahora',
																					$xpedido_recuperado,
																					$xopealm_codi);");
				}

				if($xop2=="INGRESO"){		
				
					$r33=mysqli_query($conexion,"INSERT INTO orden_compra_almacen (ordcomalm_fechahora,
																					ordcom_codi_fk,
																					opealm_codi_fk) 
																			VALUES('$xfechahora',
																					$xpedido_recuperado,
																					$xopealm_codi);");
				}				
				
			}
			
		
			$r1 = mysqli_query($conexion,"SELECT * FROM temporal_operacion_almacen_detalle t 
										WHERE idtrans='$xidtrans' 
										AND idtrans_temporal='$xidtrans_temporal' 
										order by opealmdet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xopealmdet_precio=$row1['opealmdet_precio'];
				$xopealmdet_cantidad=$row1['opealmdet_cantidad'];						
				$xopealmdet_cantidad_disponible=$row1['opealmdet_cantidad_disponible'];	
				$xmp_codi_fk_alm=$row1['mp_codi_fk_alm'];									
				
				$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,																				
																				opealmdet_cantidad,
																				opealm_codi_fk,
																				idtrans,
																				opealmdet_cantidad_disponible,
																				mp_codi_fk_alm) 
																		VALUES('$xfechahora',
																				$xprd_codi_fk,
																				$xunimed_codi_fk,																				
																				$xopealmdet_cantidad,
																				$xopealm_codi,
																				'$xidtrans',
																				$xopealmdet_cantidad_disponible,
																				'$xmp_codi_fk_alm'
																				);");				
			}
			
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
															WHERE idtrans='$xidtrans'  
															AND idtrans_temporal='$xidtrans_temporal'; ");	
	
			//if($r_limpiando_temporal){		
			//	return 1;
			//}	
			
			
			if($r_limpiando_temporal){		
				/*
				?>			
				<script language="javascript">
				//alert("Pedido guardado satisfactoriamente.")
				//parent.parent.location.href="../pedidos.php";
				parent.parent.document.form_buscar.submit();
				r=confirm("Desea Imprimir la operaci�n?");
				if(r){
					parent.imprimir_operacion_almacen_automatico('<?php echo md5($xopealm_codi); ?>');
				}else{
					//parent.parent.location.href="../pedidos.php";
				}					
				</script>			
				<?php
				*/						
				return 1;
			}	
			
					
			
		
		}		

	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion){
		global $xid, $xidtrans, $xidtrans_temporal;
				
		$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans' AND idtrans_temporal='$xidtrans_temporal'; ");	
	
			if($r_limpiando_temporal){
						
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.idtrans='$xidtrans' order by ordpeddet_codi;");

				$r1 = mysqli_query($conexion,"SELECT oad.*, o.opealm_codi_origen 
												FROM operacion_almacen_detalle oad 
												INNER JOIN operacion_almacen o ON oad.opealm_codi_fk=o.opealm_codi 
												WHERE o.idtrans='$xidtrans' 
												order by oad.opealmdet_codi;");	
				while($row1=mysqli_fetch_array($r1)){														
														
														
					$xprd_codi_fk=$row1['prd_codi_fk'];
					$xunimed_codi_fk=$row1['unimed_codi_fk'];
					$xopealmdet_cantidad=$row1['opealmdet_cantidad'];		
					$xopealmdet_codi=$row1['opealmdet_codi'];
					$xopealm_codi_fk=$row1['opealm_codi_fk'];
					$xopealmdet_cantidad_disponible=$row1['opealmdet_cantidad_disponible'];	
					$xopealm_codi_origen=$row1['opealm_codi_origen'];	
					$xmp_codi_fk_alm=$row1['mp_codi_fk_alm'];																		
					
					$xcantidad_pedido = 0;					
					$xcantidad_despachado = 0;
					
					$xcantidad_compra = 0;
					$xcantidad_recibida = 0;
					
					$xcantidad_traslado =0;
					
					if($xop2=="INGRESO"){ 
					
						$r_n_compra = mysqli_query($conexion,"SELECT * FROM orden_compra_almacen o WHERE opealm_codi_fk=$xopealm_codi_fk;");
						
						if(mysqli_num_rows($r_n_compra)>0){
							while($row_n_compra=mysqli_fetch_array($r_n_compra)){	
								$zordcom_codi_fk= $row_n_compra['ordcom_codi_fk'];	
								
								$r_cantidad_compra = mysqli_query($conexion, "SELECT SUM(ordcomdet_cantidad) as cantidad_compra, ocd.* FROM orden_compra_detalle ocd
																		INNER JOIN orden_compra oc ON oc.ordcom_codi=ocd.ordcom_codi_fk
																		WHERE oc.ordcom_codi = $zordcom_codi_fk
																		AND ocd.prd_codi_fk = $xprd_codi_fk
																		AND ocd.unimed_codi_fk = $xunimed_codi_fk
																		GROUP BY oc.ordcom_codi, ocd.prd_codi_fk, ocd.unimed_codi_fk;");
								while($row_cantidad_compra = mysqli_fetch_array($r_cantidad_compra)){
									$xcantidad_compra = $row_cantidad_compra['cantidad_compra'];
									
									$r_cantidad_recibida = mysqli_query($conexion, "SELECT SUM(opealmdet_cantidad) as cantidad_recibida, oad.*
																				FROM orden_compra_almacen o
																				INNER JOIN operacion_almacen oa ON oa.opealm_codi=o.opealm_codi_fk
																				INNER JOIN operacion_almacen_detalle oad ON oad.opealm_codi_fk=oa.opealm_codi
																				WHERE o.ordcom_codi_fk=$zordcom_codi_fk
																				AND oad.prd_codi_fk=$xprd_codi_fk
																				AND oad.unimed_codi_fk=$xunimed_codi_fk
																				AND oa.opealm_estado=1
																				GROUP BY o.ordcom_codi_fk, oad.prd_codi_fk, oad.unimed_codi_fk;");
									while($row_cantidad_recibida = mysqli_fetch_array($r_cantidad_recibida)){
										$xcantidad_recibida = $row_cantidad_recibida['cantidad_recibida'];
									}									
									
								}
								$xopealmdet_cantidad_disponible = ($xcantidad_compra - $xcantidad_recibida) + $xopealmdet_cantidad;
								
							}
						}else{

							$r_cantidad_traslado = mysqli_query($conexion,"SELECT SUM(opealmdet_cantidad) as cantidad_traslado, o.*
																	FROM operacion_almacen_detalle o
																	WHERE opealm_codi_fk=$xopealm_codi_origen
																	AND prd_codi_fk = $xprd_codi_fk
																	AND unimed_codi_fk = $xunimed_codi_fk
																	GROUP BY opealm_codi_fk, prd_codi_fk, unimed_codi_fk;");
							while($row_cantidad_traslado = mysqli_fetch_array($r_cantidad_traslado)){
								$xcantidad_traslado = $row_cantidad_traslado['cantidad_traslado'];
								
								$r_cantidad_recibida = mysqli_query($conexion, "SELECT SUM(opealmdet_cantidad) as cantidad_recibida, o.*
																		FROM operacion_almacen_detalle o
																		WHERE opealm_codi_fk=$xopealm_codi_fk
																		AND prd_codi_fk = $xprd_codi_fk
																		AND unimed_codi_fk = $xunimed_codi_fk
																		GROUP BY opealm_codi_fk, prd_codi_fk, unimed_codi_fk;");
								while($row_cantidad_recibida = mysqli_fetch_array($r_cantidad_recibida)){
									$xcantidad_recibida = $row_cantidad_recibida['cantidad_recibida'];
								}		
																																			
							}	
							
							$xopealmdet_cantidad_disponible = ($xcantidad_traslado - $xcantidad_recibida) + $xopealmdet_cantidad;						
							
						}
					
					}else{  
											
						$r_n_pedido = mysqli_query($conexion,"SELECT * FROM orden_pedido_almacen o WHERE opealm_codi_fk=$xopealm_codi_fk;");
						
						if(mysqli_num_rows($r_n_pedido)>0){
							while($row_n_pedido=mysqli_fetch_array($r_n_pedido)){	
								$zordped_codi_fk = $row_n_pedido['ordped_codi_fk'];																									
								
								$r_cantidad_pedido = mysqli_query($conexion, "SELECT SUM(ordpeddet_cantidad) as cantidad_pedido, opd.* FROM orden_pedido_detalle opd
																		INNER JOIN orden_pedido op ON op.ordped_codi=opd.ordped_codi_fk
																		WHERE op.ordped_codi = $zordped_codi_fk
																		AND opd.prd_codi_fk = $xprd_codi_fk
																		AND opd.unimed_codi_fk = $xunimed_codi_fk
																		GROUP BY op.ordped_codi, opd.prd_codi_fk, opd.unimed_codi_fk;");
								while($row_cantidad_pedido = mysqli_fetch_array($r_cantidad_pedido)){
									$xcantidad_pedido = $row_cantidad_pedido['cantidad_pedido'];
									
									$r_cantidad_despachado = mysqli_query($conexion, "SELECT SUM(opealmdet_cantidad) as cantidad_despachado, oad.*
																				FROM orden_pedido_almacen o
																				INNER JOIN operacion_almacen oa ON oa.opealm_codi=o.opealm_codi_fk
																				INNER JOIN operacion_almacen_detalle oad ON oad.opealm_codi_fk=oa.opealm_codi
																				WHERE o.ordped_codi_fk=$zordped_codi_fk
																				AND oad.prd_codi_fk=$xprd_codi_fk
																				AND oad.unimed_codi_fk=$xunimed_codi_fk
																				AND oa.opealm_estado=1
																				GROUP BY o.ordped_codi_fk, oad.prd_codi_fk, oad.unimed_codi_fk;");
									while($row_cantidad_despachado = mysqli_fetch_array($r_cantidad_despachado)){
										$xcantidad_despachado = $row_cantidad_despachado['cantidad_despachado'];
									}									
									
								}
								$xopealmdet_cantidad_disponible = ($xcantidad_pedido - $xcantidad_despachado) + $xopealmdet_cantidad;
																																										
							}
						
						}	
												
					}

					


					$xfechahora = date('Y-m-d H:i:s');							
					
					$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					opealmdet_cantidad,
																					opealm_codi_fk,
																					idtrans,
																					opealmdet_codi_fk,
																					opealmdet_cantidad_disponible,
																					idtrans_temporal,
																					mp_codi_fk_alm) 
																			VALUES('$xfechahora',
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xopealmdet_cantidad,
																					$xopealm_codi_fk,
																					'$xidtrans',
																					$xopealmdet_codi,
																					$xopealmdet_cantidad_disponible,
																					'$xidtrans_temporal',
																					'$xmp_codi_fk_alm');");				
				}
							
			}			
			return 1;				
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	
	}



	//Activa una operacion de almacen
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"update operacion_almacen set opealm_estado = $xestado,
																opealm_usu_activa = '$xusuario_sesion' 
															where opealm_codi = $xid;");		
		if($r){		
			return 1;
		}	
	
	}	




	//Verifica activaci�n una operacion de almacen
	function activar_verificar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion, $xop2;
		
		$xverificacion=0;
		
		if($xop2=="SALIDA"){					

			$r_busca = mysqli_query($conexion,"SELECT * FROM orden_pedido_almacen opa 
												INNER JOIN orden_pedido op ON opa.ordped_codi_fk=op.ordped_codi 
												where opealm_codi_fk=$xid;");
			
			if(mysqli_num_rows($r_busca) ){		
			
				while($row_busca=mysqli_fetch_array($r_busca)){
					$xordped_numero = $row_busca['ordped_numero'];
					$xverificacion=1;
					
					?>
					<script language="javascript">
					alert('Registro relacionado a la orden de pedido nro: <?php echo $xordped_numero;?>. Su cambio de estado puede provocar alteraciones.');
					parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
					</script>
					<?php			
					
				}		
	
			}else{
			
				?>
				<script language="javascript">
				parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
				</script>
				<?php		
			}
		}
		
		
		if($xop2=="INGRESO"){					

			$r_busca = mysqli_query($conexion,"SELECT * FROM orden_compra_almacen oca 
												INNER JOIN orden_compra oc ON oca.ordcom_codi_fk=oc.ordcom_codi 
												where opealm_codi_fk=$xid;");
			
			if(mysqli_num_rows($r_busca) ){		
			
				while($row_busca=mysqli_fetch_array($r_busca)){
					$xordcom_numero = $row_busca['ordcom_numero'];
					$xverificacion=1;
					
					?>
					<script language="javascript">
					alert('Registro relacionado a la orden de compra nro: <?php echo $xordcom_numero;?>. Su cambio de estado puede provocar alteraciones.');
					parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
					</script>
					<?php			
					
				}		
	
			}else{
			
				?>
				<script language="javascript">
				parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
				</script>
				<?php		
			}
		}							
	}	
	
	
	//Adicionar recuperar
	function adicionar_temporal_recuperar($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xsaldo_a_favor, $xidtrans_temporal;
		
			
																		
		if($xop2=="SALIDA"){																								

				$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
															WHERE idtrans='$xidtrans'  
															AND idtrans_temporal='$xidtrans_temporal'; ");	
				if($r_limpiando_temporal){															
					/*
					$r1=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od 
													INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi 
													WHERE o.ordped_codi=$xid_recuperado 
													order by ordpeddet_codi;");					
					*/								
					
					$r1=mysqli_query($conexion,"SELECT sum(ordpeddet_cantidad) as tcantidad, od.*
													FROM orden_pedido_detalle od
													INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi
													WHERE o.ordped_codi=$xid_recuperado
													group by prd_codi_fk, unimed_codi_fk
													order by ordpeddet_codi;");					
										
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){																																										
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						//$xopealmdet_cantidad=$row1['ordpeddet_cantidad'];	
						$xopealmdet_cantidad=$row1['tcantidad'];	
							
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];						
						
						/*						
						$r_entregados= mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle oad 
															INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
															INNER JOIN orden_pedido_almacen opa ON opa.opealm_codi_fk=oa.opealm_codi 
															WHERE oa.opealm_estado=1 and opa.ordped_codi_fk=$xid_recuperado 
															and oad.unimed_codi_fk=$xunimed_codi_fk 
															and oad.prd_codi_fk=$xprd_codi_fk;");
						*/		
						
						?>
						<script language="javascript">
						//alert('<?php echo $xopealmdet_cantidad;?>');
						</script>
						<?php

						$r_entregados= mysqli_query($conexion,"SELECT sum(opealmdet_cantidad) as ecantidad 
															FROM operacion_almacen_detalle oad 
															INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
															INNER JOIN orden_pedido_almacen opa ON opa.opealm_codi_fk=oa.opealm_codi 
															WHERE oa.opealm_estado=1 
																and opa.ordped_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk
															group by oad.prd_codi_fk, oad.unimed_codi_fk;");
																																				
						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							//$xentregados = $row_entregados['opealmdet_cantidad'];					
							$xentregados = $row_entregados['ecantidad'];					
							
						?>
						<script language="javascript">
						//alert('<?php echo $xopealmdet_cantidad." --- ".$xentregados;?>');
						</script>
						<?php
																					
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;													
						}						
						
						
						if($xopealmdet_cantidad <= 0){	
							continue;							
						}
	
						$xfechahora = date('Y-m-d H:i:s');																					
	
						$r = mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																										prd_codi_fk,
																										unimed_codi_fk,
																										opealmdet_cantidad,
																										idtrans,
																										opealmdet_cantidad_disponible,
																										idtrans_temporal) 
																								VALUES('$xfechahora',
																										$xprd_codi_fk,
																										$xunimed_codi_fk,
																										$xopealmdet_cantidad,
																										'$xidtrans',
																										$xopealmdet_cantidad,
																										'$xidtrans_temporal');");
					}										
				}			
	
				
				if(trim($xsaldo_a_favor)!="" and trim($xsaldo_a_favor)!=NULL){
				?>			
					<script language="javascript">
					//alert("Tiene un saldo a favor de S/. <?php echo number_format($xsaldo_a_favor,2,'.',','); ?>");
					</script>			
				<?php
				}
				
				return 1;
		}
		



		if($xop2=="INGRESO"){   
											
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
														WHERE idtrans='$xidtrans'  
														AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				if($r_limpiando_temporal){								
					/*
					$r1=mysqli_query($conexion,"SELECT od.* 
												FROM orden_compra_detalle od 
												INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi 
												WHERE o.ordcom_codi=$xid_recuperado 
												order by ordcomdet_codi;");	
					*/							
					
					$r1 = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad) as tcantidad, od.*, prd.mp_codi_fk 
												FROM orden_compra_detalle od 
												INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi 
												INNER JOIN productos prd ON od.prd_codi_fk=prd.prd_codi
												WHERE o.ordcom_codi=$xid_recuperado 
												group by prd_codi_fk, unimed_codi_fk												
												order by ordcomdet_codi;");	
						
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){														
																												
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						//$xopealmdet_cantidad=$row1['ordcomdet_cantidad'];		
						$xopealmdet_cantidad=$row1['tcantidad'];						
						$xmp_codi_fk = $row1['mp_codi_fk'];
						
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];												
						
						/*
						$r_entregados= mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle oad 
																INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
																INNER JOIN orden_compra_almacen oca ON oca.opealm_codi_fk=oa.opealm_codi 
																WHERE oa.opealm_estado=1 
																and oca.ordcom_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk;");
						*/										
						
						$r_entregados= mysqli_query($conexion,"SELECT sum(opealmdet_cantidad) as ecantidad FROM operacion_almacen_detalle oad 
																INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
																INNER JOIN orden_compra_almacen oca ON oca.opealm_codi_fk=oa.opealm_codi 
																WHERE oa.opealm_estado=1 
																and oca.ordcom_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk
																group by oad.prd_codi_fk, oad.unimed_codi_fk;");

						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							//$xentregados=$row_entregados['opealmdet_cantidad'];	
							$xentregados=$row_entregados['ecantidad'];																					
																																							
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;													
						}
						
						if($xopealmdet_cantidad <= 0){	
							continue;							
						}
						
						$xfechahora = date('Y-m-d H:i:s');		
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						opealmdet_cantidad,
																						idtrans,
																						opealmdet_cantidad_disponible,
																						idtrans_temporal,
																						mp_codi_fk_alm) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xopealmdet_cantidad,
																						'$xidtrans',
																						$xopealmdet_cantidad,
																						'$xidtrans_temporal',
																						'$xmp_codi_fk');");																														
					}						
				}			
					
				return 1;
		}			
	}	

	
	
	
	
	
	
	//Adicionar traslado
	function adicionar_temporal_recuperar_traslado($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xsaldo_a_favor, $xidtrans_temporal;						
		?>
		
		<script language="javascript">
		//alert("ESTAMOS ESSS");
		</script>
		
		<?php																

		if($xop2=="INGRESO"){   
											
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
														WHERE idtrans='$xidtrans'  
														AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				if($r_limpiando_temporal){								
					
					//$r1=mysqli_query($conexion,"SELECT od.* 
					//							FROM orden_compra_detalle od 
					//							INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi 
					//							WHERE o.ordcom_codi=$xid_recuperado 
					//							order by ordcomdet_codi;");		

					$r1 = mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle o 
												WHERE opealm_codi_fk = $xid_recuperado 
												ORDER BY opealmdet_codi;");		
																																		
	
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){														
																												
						$xprd_codi_fk = $row1['prd_codi_fk'];
						$xunimed_codi_fk = $row1['unimed_codi_fk'];
						$xopealmdet_cantidad = $row1['opealmdet_cantidad'];	
						$xmp_codi_fk = $row1['mp_codi_fk_alm'];	
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];						
						
						/*
						$r_entregados= mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle oad 
																INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
																INNER JOIN orden_compra_almacen oca ON oca.opealm_codi_fk=oa.opealm_codi 
																WHERE oa.opealm_estado=1 
																and oca.ordcom_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk;");
						
						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							$xentregados=$row_entregados['opealmdet_cantidad'];					
							
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;
													
						}
						
						if($xopealmdet_cantidad <= 0){	
							continue;
							
						}
						*/
						
						$xfechahora = date('Y-m-d H:i:s');		
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						opealmdet_cantidad,
																						idtrans,
																						opealmdet_cantidad_disponible,
																						idtrans_temporal,
																						mp_codi_fk_alm) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xopealmdet_cantidad,
																						'$xidtrans',
																						$xopealmdet_cantidad,
																						'$xidtrans_temporal',
																						'$xmp_codi_fk');");																														
					}
							
				}			
				
				return 1;
		}				
	}	



	//Adicionar recuperar requerimiento interno
	function adicionar_temporal_recuperar_requerimiento_interno($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xsaldo_a_favor, $xidtrans_temporal, $xreqint_codi, $xreqint_codi_fk;					
																		
		//if($xop2=="SALIDA"){																								

				$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
															WHERE idtrans='$xidtrans'  
															AND idtrans_temporal='$xidtrans_temporal'; ");	
				if($r_limpiando_temporal){																				
					$r1=mysqli_query($conexion,"SELECT rid.*, p.mp_codi_fk
												FROM requerimientos_internos_detalle rid
												INNER JOIN requerimientos_internos ri ON ri.reqint_codi = rid.reqint_codi_fk
												INNER JOIN productos p ON p.prd_codi = rid.prd_codi_fk
												WHERE ri.reqint_codi = $xreqint_codi
												ORDER BY reqintdet_codi;");					
										
					$xreqintdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){																																										
						$xprd_codi_fk = $row1['prd_codi_fk'];
						$xunimed_codi_fk = $row1['unimed_codi_fk'];
						$xreqintdet_cantidad = $row1['reqintdet_cantidad'];	
						$xmp_codi_fk = $row1['mp_codi_fk'];														
													
						?>
						<script language="javascript">
						//alert('<?php echo $xreqintdet_cantidad;?>');
						</script>
						<?php

						/*
						$r_entregados = mysqli_query($conexion,"SELECT sum(opealmdet_cantidad) as ecantidad 
															FROM operacion_almacen_detalle oad 
															INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
															INNER JOIN orden_pedido_almacen opa ON opa.opealm_codi_fk=oa.opealm_codi 
															WHERE oa.opealm_estado=1 
																and opa.ordped_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk
															group by oad.prd_codi_fk, oad.unimed_codi_fk;");
																																				
						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							//$xentregados = $row_entregados['opealmdet_cantidad'];					
							$xentregados = $row_entregados['ecantidad'];					
							
						?>
						<script language="javascript">
						//alert('<?php echo $xopealmdet_cantidad." --- ".$xentregados;?>');
						</script>
						<?php
																					
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;													
						}						
						*/
						
						if($xreqintdet_cantidad <= 0){	
							continue;							
						}
	
						$xfechahora = date('Y-m-d H:i:s');																					
	
						$r = mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																										prd_codi_fk,
																										unimed_codi_fk,
																										opealmdet_cantidad,
																										idtrans,
																										opealmdet_cantidad_disponible,
																										idtrans_temporal,
																										mp_codi_fk_alm) 
																								VALUES('$xfechahora',
																										$xprd_codi_fk,
																										$xunimed_codi_fk,
																										$xreqintdet_cantidad,
																										'$xidtrans',
																										$xreqintdet_cantidad,
																										'$xidtrans_temporal',
																										$xmp_codi_fk);");
					}										
				}			
	
				
				//if(trim($xsaldo_a_favor)!="" and trim($xsaldo_a_favor)!=NULL){
				?>			
					<script language="javascript">
					//alert("Tiene un saldo a favor de S/. <?php echo number_format($xsaldo_a_favor,2,'.',','); ?>");
					</script>			
				<?php
				//}
				
				return 1;
		//}
		


		/*
		if($xop2=="INGRESO"){   
											
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle 
														WHERE idtrans='$xidtrans'  
														AND idtrans_temporal='$xidtrans_temporal'; ");	
		
				if($r_limpiando_temporal){								

					$r1 = mysqli_query($conexion,"SELECT sum(ordcomdet_cantidad) as tcantidad, od.*, prd.mp_codi_fk 
												FROM orden_compra_detalle od 
												INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi 
												INNER JOIN productos prd ON od.prd_codi_fk=prd.prd_codi
												WHERE o.ordcom_codi=$xid_recuperado 
												group by prd_codi_fk, unimed_codi_fk												
												order by ordcomdet_codi;");	
						
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){														
																												
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						//$xopealmdet_cantidad=$row1['ordcomdet_cantidad'];		
						$xopealmdet_cantidad=$row1['tcantidad'];						
						$xmp_codi_fk = $row1['mp_codi_fk'];
						
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];												
						
							
						
						$r_entregados= mysqli_query($conexion,"SELECT sum(opealmdet_cantidad) as ecantidad FROM operacion_almacen_detalle oad 
																INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi 
																INNER JOIN orden_compra_almacen oca ON oca.opealm_codi_fk=oa.opealm_codi 
																WHERE oa.opealm_estado=1 
																and oca.ordcom_codi_fk=$xid_recuperado 
																and oad.unimed_codi_fk=$xunimed_codi_fk 
																and oad.prd_codi_fk=$xprd_codi_fk
																group by oad.prd_codi_fk, oad.unimed_codi_fk;");

						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							//$xentregados=$row_entregados['opealmdet_cantidad'];	
							$xentregados=$row_entregados['ecantidad'];																					
																																							
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;													
						}
						
						if($xopealmdet_cantidad <= 0){	
							continue;							
						}
						
						$xfechahora = date('Y-m-d H:i:s');		
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						opealmdet_cantidad,
																						idtrans,
																						opealmdet_cantidad_disponible,
																						idtrans_temporal,
																						mp_codi_fk_alm) 
																				VALUES('$xfechahora',
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xopealmdet_cantidad,
																						'$xidtrans',
																						$xopealmdet_cantidad,
																						'$xidtrans_temporal',
																						'$xmp_codi_fk');");																														
					}						
				}			
					
				return 1;
		}
		*/			
	}	


	

}




?>

